Package ru.bitel.bgbilling.plugins.documents.common.bean

# Enum DocumentTableExtractMethod

java.lang.Object
java.lang.Enum<DocumentTableExtractMethod>
ru.bitel.bgbilling.plugins.documents.common.bean.DocumentTableExtractMethod

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<DocumentTableExtractMethod>`, `java.lang.constant.Constable`

    public enum DocumentTableExtractMethod
    extends java.lang.Enum<DocumentTableExtractMethod>

Перечисление, содержащее типы методов получения данных для таблиц в шаблоне.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `DYNCLASS` |
  `NONE` |
  `SQL` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getId()` |
  `java.lang.String` | `getTitle()` |
  `static DocumentTableExtractMethod` | `getType​(int type)` |
  `java.lang.String` | `toString()` |
  `static DocumentTableExtractMethod` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static DocumentTableExtractMethod[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final DocumentTableExtractMethod NONE

  - ### SQL

    public static final DocumentTableExtractMethod SQL

  - ### DYNCLASS

    public static final DocumentTableExtractMethod DYNCLASS

- ## Method Details

  - ### values

    public static DocumentTableExtractMethod[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DocumentTableExtractMethod valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getId

    public int getId()

  - ### getTitle

    public java.lang.String getTitle()

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Enum<DocumentTableExtractMethod>`

  - ### getType

    public static DocumentTableExtractMethod getType​(int type)